(function(){
  $('[data-toggle="popover"]').popover();
  $('[data-toggle="tooltip"]').tooltip();

  $('.popover-dismiss').popover({
    trigger: 'focus'
  })


  $(window).scroll(function () {
      var top = $(document).scrollTop();
      $('.splash').css({
        'background-position': '0px -'+(top/3).toFixed(2)+'px'
      });
      if(top > 50)
        $('#home > .navbar').removeClass('navbar-transparent');
      else
        $('#home > .navbar').addClass('navbar-transparent');
  });

  $("a[href='#']").click(function(e) {
    e.preventDefault();
  });

  var $button = $("<div id='source-button' class='btn btn-primary btn-xs'>&lt; &gt;</div>").click(function(){
    var html = $(this).parent().html();
    html = cleanSource(html);
    $("#source-modal pre").text(html);
    $("#source-modal").modal();
  });


  $(".bs-component").hover(function(){
    $(this).append($button);
    $button.show();
  }, function(){
    $button.hide();
  });

  function cleanSource(html) {
    var lines = html.split(/\n/);

    lines.shift();
    lines.splice(-1, 1);

    var indentSize = lines[0].length - lines[0].trim().length,
        re = new RegExp(" {" + indentSize + "}");

    lines = lines.map(function(line){
      if (line.match(re)) {
        line = line.substring(indentSize);
      }

      return line;
    });

    lines = lines.join("\n");

    return lines;
  }


  $('.chosen-select').chosen({});

// DEMO table dynamic columns
$('#btn-dynamicsize').on( "click", function() {
 var state = $(this).data("state");
 var target = $("#" + $(this).data("target"));

 if(state == "fixed") {
    target.removeClass("fixedwidth");
    $(this).data("state","scrollable");
    $(this).find('.am-icon').removeClass('icon-table-expandwidth');
    $(this).find('.am-icon').addClass('icon-table-shrinkwidth');
} else {
  target.addClass("fixedwidth");
  $(this).data("state","fixed");
  $(this).find('.am-icon').addClass('icon-table-expandwidth');
  $(this).find('.am-icon').removeClass('icon-table-shrinkwidth');
}
});
// toggle
$('#btn-dynamicsize-b').on( "click", function() {
 var state = $(this).data("state");
 var target = $("#" + $(this).data("target"));

 if(state == "fixed") {
    target.removeClass("fixedwidth");
    $(this).data("state","scrollable");
} else {
  target.addClass("fixedwidth");
  $(this).data("state","fixed");
}
});



})();

// demo toasts
var toastTrigger = document.getElementById('liveToastBtn')
var toastLiveExample = document.getElementById('liveToast')
if (toastTrigger) {

  toastTrigger.addEventListener('click', function () {

    var toast = new bootstrap.Toast(toastLiveExample);
    toast.show();
  })
}

$('#toastPlacement').on( "change", function() {
 var state = $(this).val();
 console.log(state);
 $("#notificationGroupPlacementTest").removeClass("left right top bottom middle center").addClass(state);
 $()
});
